---
document: modulemd
version: 2
data:
  name: postgresql
  stream: "16"
  version: 8100020240411121751
  context: 9edba152
  arch: i686
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/16/index.html
    tracker: https://issues.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pg_repack:
        rationale: pg_repack extension
        ref: af5dd257dd7367cac41a1094987bb94db36fb79a
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pgaudit:
        rationale: pgaudit extension
        ref: 9f6c55b9a3896dc901ab1e21665882a477bc5f5c
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: d062e5c2efb61eef764bff32cec20e53bba575f7
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgresql:
        rationale: Module API.
        ref: b1756ae5d3449274edc4227c35159947109cedbb
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - pg_repack-0:1.4.8-1.module_el8.10.0+3798+606ebb9f.i686
    - pg_repack-0:1.4.8-1.module_el8.10.0+3798+606ebb9f.src
    - pg_repack-debuginfo-0:1.4.8-1.module_el8.10.0+3798+606ebb9f.i686
    - pg_repack-debugsource-0:1.4.8-1.module_el8.10.0+3798+606ebb9f.i686
    - pgaudit-0:16.0-1.module_el8.10.0+3798+606ebb9f.i686
    - pgaudit-0:16.0-1.module_el8.10.0+3798+606ebb9f.src
    - pgaudit-debuginfo-0:16.0-1.module_el8.10.0+3798+606ebb9f.i686
    - pgaudit-debugsource-0:16.0-1.module_el8.10.0+3798+606ebb9f.i686
    - postgres-decoderbufs-0:2.4.0-1.Final.module_el8.10.0+3798+606ebb9f.i686
    - postgres-decoderbufs-0:2.4.0-1.Final.module_el8.10.0+3798+606ebb9f.src
    - postgres-decoderbufs-debuginfo-0:2.4.0-1.Final.module_el8.10.0+3798+606ebb9f.i686
    - postgres-decoderbufs-debugsource-0:2.4.0-1.Final.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-0:16.1-1.module_el8.10.0+3798+606ebb9f.src
    - postgresql-contrib-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-contrib-debuginfo-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-debuginfo-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-debugsource-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-docs-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-docs-debuginfo-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-plperl-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-plperl-debuginfo-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-plpython3-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-plpython3-debuginfo-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-pltcl-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-pltcl-debuginfo-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-private-devel-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-private-libs-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-private-libs-debuginfo-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-server-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-server-debuginfo-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-server-devel-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-server-devel-debuginfo-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-static-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-test-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-test-debuginfo-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-test-rpm-macros-0:16.1-1.module_el8.10.0+3798+606ebb9f.noarch
    - postgresql-upgrade-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-upgrade-debuginfo-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-upgrade-devel-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
    - postgresql-upgrade-devel-debuginfo-0:16.1-1.module_el8.10.0+3798+606ebb9f.i686
...
---
document: modulemd
version: 2
data:
  name: postgresql-devel
  stream: "16"
  version: 8100020240411121751
  context: 9edba152
  arch: i686
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
      postgresql: [16]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/16/index.html
    tracker: https://issues.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pg_repack:
        rationale: pg_repack extension
        ref: af5dd257dd7367cac41a1094987bb94db36fb79a
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pgaudit:
        rationale: pgaudit extension
        ref: 9f6c55b9a3896dc901ab1e21665882a477bc5f5c
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: d062e5c2efb61eef764bff32cec20e53bba575f7
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgresql:
        rationale: Module API.
        ref: b1756ae5d3449274edc4227c35159947109cedbb
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
